Skip to main content
`Ctrl`+`K`

# FNRegister

Adds a mathematical function to the `FN` package.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNRegister(const char *name,PetscErrorCode (*function)(FN))

Not Collective

## Input Parameters

- name - name of a new user-defined `FN`

- function - routine to create the context

## Notes

`FNRegister()` may be called multiple times to add several user-defined functions.

## See Also

FN: Mathematical Functions, `FNRegisterAll()`

## Level

advanced

## Location

src/sys/classes/fn/interface/fnbasic.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages